cURL
curl --request DELETE \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/delete-message \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.hypersender.com/api/whatsapp/v1/{instance}/delete-message"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hypersender.com/api/whatsapp/v1/{instance}/delete-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB0E474C76F33528463B1"
},
"message": {
"protocolMessage": {
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB05B8C1E491431AEAA9A"
},
"type": "REVOKE"
}
},
"messageTimestamp": "1749413855",
"status": "PENDING"
}Delete Message
Delete a message from the chat.
DELETE
/
{instance}
/
delete-message
cURL
You can delete messages from the chat.
so if you want to delete a message from a specific chat pass the 
chatId and messageId in the query parameters.
chatId - The unique identifier for the chat (e.g., [email protected])
messageId - The unique identifier for the message (e.g., [email protected]_3EB081B845A6A6E3991180)

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json
Example:
"application/json"
application/json
Example:
"application/json"
Path Parameters
Instance UUID copied from hypersender dashboard
Example:
"{{ instance_id }}"